import request from "@/api/request.js";

// 根据行业领域id获取公司列表
/**
 * @param {id} 
 */
export function getCompanyList(params) {
    return request({
        method: 'GET',
        url: `/api/billImpactAnalysis/industry/company/${params.id}`,
        params,
    })
}

// 根据法案id获取行业领域统计
/**
 * @param {id} 
 */
export function getIndustryHyly(params) {
    return request({
        method: 'GET',
        url: `/api/billImpactAnalysis/industry/hyly/${params.id}`,
        params,
    })
}

// 行业领域字典列表
export function getHylyList() {
    return request({
        method: 'GET',
        url: `/api/billImpactAnalysis/industry/hylyList`,
    })
}


// 获取公司详情
/**
 * @param {billId,companyId,id} 
 */
export function getCompanyDetail(params) {
    return request({
        method: 'GET',
        url: `/api/billImpactAnalysis/industry/companyDetail/${params.billId}/${params.id}/${params.companyId}`,
        params,
    })
}